Bug 999539 - scheduling policy: please rename the predefined Functions / Weights Modules / Factors
scheduling policy: please rename the predefined Functions / Weights Modules /...
Status: CLOSED WONTFIX
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin (Show other bugs)
---
Unspecified Unspecified
unspecified Severity medium (vote)
: ovirt-4.0.0-alpha
: ---
Assigned To: Doron Fediuck
Artyom
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-21 09:59 EDT by Einav Cohen
Modified: 2016-04-06 07:39 EDT (History)
7 users (show)

See Also:
Fixed In Version: ovirt-3.4.0-alpha1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-06 07:39:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: SLA
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ylavi: ovirt‑4.0.0?
ylavi: planning_ack?
ylavi: devel_ack?
ylavi: testing_ack?


Attachments (Terms of Use)
screen-shot: New/Edit Policy Dialog (40.17 KB, image/png)
2013-08-21 10:03 EDT, Einav Cohen
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 18645 None None None Never

  None (edit)
Description Einav Cohen 2013-08-21 09:59:28 EDT
Description of problem:

The predefined Functions / Weights Modules / Factors in the scheduling policy context are a bit confusing - they seem to describe a policy, rather than a weight function. 
Moreover, their names are currently identical to the load balancing Parameters / Properties, so it creates even more confusion.
Having said that, we don't want to change the names too much, in order to be user-friendly to those who are familiar with the old policy configuration process.

My suggestion:

Rename "PowerSaving" to "OptimalForPowerSaving"
Rename "EvenDistribution" to "OptimalForEvenDistribution"
Comment 1 Einav Cohen 2013-08-21 10:03:51 EDT
Created attachment 788891 [details]
screen-shot: New/Edit Policy Dialog
Comment 3 Sandro Bonazzola 2014-01-13 08:57:00 EST
oVirt 3.4.0 alpha has been released including the fix for this issue.
Comment 4 Artyom 2014-02-13 04:41:49 EST
How I understand you needed rename just weight modules and not Load Balancer:
weight -> OptimalForPowerSaving, LoadBalancer -> PowerSaving
Now when you change names of two of them to OptimalForPowerSaving you stay with the same confusion.
Checked on ovirt-engine-3.4.0-0.5.beta1.el6.noarch
Comment 5 Sandro Bonazzola 2014-03-04 04:19:19 EST
This is an automated message.
Re-targeting all non-blocker bugs still open on 3.4.0 to 3.4.1.
Comment 6 Sandro Bonazzola 2014-05-08 09:55:43 EDT
This is an automated message.

oVirt 3.4.1 has been released.
This issue has been retargeted to 3.5.0 since it has not been marked as high priority or severity issue, please retarget if needed.
Comment 7 Red Hat Bugzilla Rules Engine 2015-10-19 07:02:14 EDT
Target release should be placed once a package build is known to fix a issue. Since this bug is not modified, the target version has been reset. Please use target milestone to plan a fix for a oVirt release.
Comment 9 Doron Fediuck 2016-04-06 07:39:17 EDT
Closing old issues based on capacity.
Please re-open only if relevant and needed.

Note You need to log in before you can comment on or make changes to this bug.